Package musicbrainz2 :: Module webservice :: Class IWebService

[frames] | no frames]

# Class IWebService

source code

    object --+
             |
            IWebService

Known Subclasses:
  - WebService

An interface all concrete web service classes have to implement.

All web service classes have to implement this and follow the method specifications.

Instance Methods

get(self, entity, id_, include, filter, version) Query the web service. | source code

post(self, entity, id_, data, version) Submit data to the web service. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### get(self, entity, id_, include, filter, version)

source code

Query the web service.

Using this method, you can either get a resource by id (using the `id_` parameter, or perform a query on all resources of a type.

The `filter` and the `id_` parameter exclude each other. If you are using a filter, you may not set `id_` and vice versa.

Returns a file-like object containing the result or raises a WebServiceError or one of its subclasses in case of an error. Which one is used depends on the implementing class.

Parameters:
  - `entity` - a string containing the entity's name
  - `id_` - a string containing a UUID, or the empty string
  - `include` - a tuple containing values for the 'inc' parameter
  - `filter` - parameters, depending on the entity
  - `version` - a string containing the web service version to use
Returns:
  a file-like object
Raises:
  - `WebServiceError` - in case of errors

### post(self, entity, id_, data, version)

source code

Submit data to the web service.

Parameters:
  - `entity` - a string containing the entity's name
  - `id_` - a string containing a UUID, or the empty string
  - `data` - A string containing the data to post
  - `version` - a string containing the web service version to use
Returns:
  a file-like object
Raises:
  - `WebServiceError` - in case of errors